<html>
	<head>
		
		<script>
			function hello() {
				
				var name = document.getElementByName("name").value;
				var model_details = document.getElementByName("model_details").value;
				var description = document.getElementByName("description").value;
				var photo = document.getElementByName("photo").value;
				var price = document.getElementByName("price").value;
				var count = 0;
				if (name == "") {
					document.getElementById("error1").innerHTML = "please enter name!";
					count++;
				} else {
				
				    document.getElementById("error1").innerHTML = "";
			     	
				}
				if (model_details == "") {
					document.getElementById("error2").innerHTML = "please enter model_details!";
					count++;
				}else {
				
				    document.getElementById("error2").innerHTML = "";
				}
                if (description == "") {
					document.getElementById("error3").innerHTML = "please enter description!";
					count++;
				}else {
				
				    document.getElementById("error3").innerHTML = "";
				}
                if (photo == "") {
					document.getElementById("error4").innerHTML = "please select photo!";
					count++;
				}else {
				
				    document.getElementById("error4").innerHTML = "";
				}
                if (price == "") {
					document.getElementById("error5").innerHTML = "please select price!";
					count++;
				}else {
				
				    document.getElementById("error5").innerHTML = "";
				}
				if (count > 0) {
				    return false;
				}
			  }
		</script>
	</head>

	<!-- partial:index.partial.html -->
	<body>
<form method="post" action="/api/sub_category/create">
    <div class="box-form">
        <div class="right">
            <h5>Add Sub Category</h5>
            <div class="inputs">
                <select name="category_name" id="category_name" style="height:
                    40px;width:100%;font-size:15px;text-align:center">
                    <option>select-category</option>
                    <% for (let x of category_name) { %>
                        <option value="<%= x.id%>"><%= x.id%>-<%= x.name %></option>
                                <% } %>
                                </select>
                                <input type="text" name="name" placeholder="SubCategoryName">
                                <span id="error1"></span>
                                <input type="text" name="model_details"
                                    placeholder="Model Details">
                                    <span id="error2"></span>
                                <input type="text" name="description"
                                    placeholder="Description">
                                    <span id="error3"></span>
                                <input type="file" name="photo"
                                    placeholder="Photo">
                                    <span id="error4"></span>
                                <input type="number" name="price"
                                    placeholder="Price">
                                    <span id="error5"></span>
                                <br><br>
                            </div>

                            <button onMouseOver="this.style.color='black'"
                                onMouseOut="this.style.color='white'">Add</button>
                            <p><a href="/category">Add Category</a></p>
                        </div>
                    </div>
                </form>
</body>
</html>